## WebKitWebBackForwardList

WebKitWebBackForwardList — The history of a WebKitWebView

## Functions

void | webkit_web_back_forward_list_add_item ()
void | webkit_web_back_forward_list_clear ()
gboolean | webkit_web_back_forward_list_contains_item ()
WebKitWebHistoryItem * | webkit_web_back_forward_list_get_back_item ()
gint | webkit_web_back_forward_list_get_back_length ()
GList * | webkit_web_back_forward_list_get_back_list_with_limit ()
WebKitWebHistoryItem * | webkit_web_back_forward_list_get_current_item ()
WebKitWebHistoryItem * | webkit_web_back_forward_list_get_forward_item ()
gint | webkit_web_back_forward_list_get_forward_length ()
GList * | webkit_web_back_forward_list_get_forward_list_with_limit ()
gint | webkit_web_back_forward_list_get_limit ()
WebKitWebHistoryItem * | webkit_web_back_forward_list_get_nth_item ()
void | webkit_web_back_forward_list_go_back ()
void | webkit_web_back_forward_list_go_forward ()
void | webkit_web_back_forward_list_go_to_item ()
WebKitWebBackForwardList * | webkit_web_back_forward_list_new_with_web_view ()
void | webkit_web_back_forward_list_set_limit ()

## Types and Values

| WebKitWebBackForwardList

## Object Hierarchy

        GObject
        ╰── WebKitWebBackForwardList

## Description

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10

    /* Get the WebKitWebBackForwardList from the WebKitWebView */
    WebKitWebBackForwardList *back_forward_list = webkit_web_view_get_back_forward_list (my_web_view);
    WebKitWebHistoryItem *item = webkit_web_back_forward_list_get_current_item (back_forward_list);

    /* Do something with a WebKitWebHistoryItem */
    g_print("%p", item);

    /* Control some parameters */
    WebKitWebBackForwardList *back_forward_list = webkit_web_view_get_back_forward_list (my_web_view);
    webkit_web_back_forward_list_set_limit (back_forward_list, 30);

## Functions

### webkit_web_back_forward_list_add_item ()

    void
    webkit_web_back_forward_list_add_item (WebKitWebBackForwardList *web_back_forward_list,
                                           WebKitWebHistoryItem *history_item);

Adds the item to the WebKitWebBackForwardList.

The `webBackForwardList` will add a reference to the `webHistoryItem` , so you don't need to keep a reference once you've added it to the list.

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |
history_item | the WebKitWebHistoryItem to add. | [type WebKit.WebHistoryItem][transfer none]

Since 1.1.1

### webkit_web_back_forward_list_clear ()

    void
    webkit_web_back_forward_list_clear (WebKitWebBackForwardList *web_back_forward_list);

Clears the `webBackForwardList` by removing all its elements. Note that not even the current page is kept in list when cleared so you would have to add it later. This method also clears the list of visited links which means that all links will appear unvisited.

#### Parameters

web_back_forward_list | the WebKitWebBackForwardList to be cleared |

Since 1.3.1

### webkit_web_back_forward_list_contains_item ()

    gboolean
    webkit_web_back_forward_list_contains_item
                                   (WebKitWebBackForwardList *web_back_forward_list,
                                    WebKitWebHistoryItem *history_item);

Checks if `web_history_item` is in the back forward list

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |
history_item | the WebKitWebHistoryItem to check. | [type WebKit.WebHistoryItem][transfer none]

#### Returns

`TRUE` if `web_history_item` is in the back forward list, `FALSE` if it doesn't

### webkit_web_back_forward_list_get_back_item ()

    WebKitWebHistoryItem *
    webkit_web_back_forward_list_get_back_item
                                   (WebKitWebBackForwardList *web_back_forward_list);

Returns the item that precedes the current item

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |

#### Returns

the WebKitWebHistoryItem preceding the current item.

[type WebKit.WebHistoryItem][transfer none]

### webkit_web_back_forward_list_get_back_length ()

    gint
    webkit_web_back_forward_list_get_back_length
                                   (WebKitWebBackForwardList *web_back_forward_list);

Returns the number of items that preced the current item.

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |

#### Returns

a gint corresponding to the number of items preceding the current item

### webkit_web_back_forward_list_get_back_list_with_limit ()

    GList *
    webkit_web_back_forward_list_get_back_list_with_limit
                                   (WebKitWebBackForwardList *web_back_forward_list,
                                    gint limit);

Returns a list of items that precede the current item, limited by `limit`

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |
limit | the number of items to retrieve |

#### Returns

a GList of items preceding the current item, limited by `limit` .

[element-type WebKit.WebHistoryItem][transfer container]

### webkit_web_back_forward_list_get_current_item ()

    WebKitWebHistoryItem *
    webkit_web_back_forward_list_get_current_item
                                   (WebKitWebBackForwardList *web_back_forward_list);

Returns the current item.

Returns a NULL value if the back forward list is empty

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |

#### Returns

a WebKitWebHistoryItem.

[type WebKit.WebHistoryItem][transfer none]

### webkit_web_back_forward_list_get_forward_item ()

    WebKitWebHistoryItem *
    webkit_web_back_forward_list_get_forward_item
                                   (WebKitWebBackForwardList *web_back_forward_list);

Returns the item that succeeds the current item.

Returns a NULL value if there nothing that succeeds the current item

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |

#### Returns

a WebKitWebHistoryItem.

[type WebKit.WebHistoryItem][transfer none]

### webkit_web_back_forward_list_get_forward_length ()

    gint
    webkit_web_back_forward_list_get_forward_length
                                   (WebKitWebBackForwardList *web_back_forward_list);

Returns the number of items that succeed the current item.

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |

#### Returns

a gint corresponding to the nuber of items succeeding the current item

### webkit_web_back_forward_list_get_forward_list_with_limit ()

    GList *
    webkit_web_back_forward_list_get_forward_list_with_limit
                                   (WebKitWebBackForwardList *web_back_forward_list,
                                    gint limit);

Returns a list of items that succeed the current item, limited by `limit`

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |
limit | the number of items to retrieve |

#### Returns

a GList of items succeeding the current item, limited by `limit` .

[element-type WebKit.WebHistoryItem][transfer container]

### webkit_web_back_forward_list_get_limit ()

    gint
    webkit_web_back_forward_list_get_limit
                                   (WebKitWebBackForwardList *web_back_forward_list);

Returns the maximum limit of the back forward list.

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |

#### Returns

a gint indicating the number of WebKitWebHistoryItem the back forward list can hold

### webkit_web_back_forward_list_get_nth_item ()

    WebKitWebHistoryItem *
    webkit_web_back_forward_list_get_nth_item
                                   (WebKitWebBackForwardList *web_back_forward_list,
                                    gint index);

Returns the item at a given index relative to the current item.

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |
index | the index of the item |

#### Returns

the WebKitWebHistoryItem located at the specified index relative to the current item.

[type WebKit.WebHistoryItem][transfer none]

### webkit_web_back_forward_list_go_back ()

    void
    webkit_web_back_forward_list_go_back (WebKitWebBackForwardList *web_back_forward_list);

Steps backward in the back forward list

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |

### webkit_web_back_forward_list_go_forward ()

    void
    webkit_web_back_forward_list_go_forward
                                   (WebKitWebBackForwardList *web_back_forward_list);

Steps forward in the back forward list

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |

### webkit_web_back_forward_list_go_to_item ()

    void
    webkit_web_back_forward_list_go_to_item
                                   (WebKitWebBackForwardList *web_back_forward_list,
                                    WebKitWebHistoryItem *history_item);

Go to the specified `web_history_item` in the back forward list

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |
history_item | the WebKitWebHistoryItem to go to. | [type WebKit.WebHistoryItem][transfer none]

### webkit_web_back_forward_list_new_with_web_view ()

    WebKitWebBackForwardList *
    webkit_web_back_forward_list_new_with_web_view
                                   (WebKitWebView *web_view);

`webkit_web_back_forward_list_new_with_web_view` has been deprecated since version 1.3.4 and should not be used in newly-written code.

Instances of WebKitWebBackForwardList are created and owned by WebKitWebView instances only.

Creates an instance of the back forward list with a controlling WebKitWebView

#### Parameters

web_view | the back forward list's WebKitWebView |

#### Returns

a WebKitWebBackForwardList

### webkit_web_back_forward_list_set_limit ()

    void
    webkit_web_back_forward_list_set_limit
                                   (WebKitWebBackForwardList *web_back_forward_list,
                                    gint limit);

Sets the maximum limit of the back forward list. If the back forward list exceeds its capacity, items will be removed everytime a new item has been added.

#### Parameters

web_back_forward_list | a WebKitWebBackForwardList |
limit | the limit to set the back forward list to |

## Types and Values

### WebKitWebBackForwardList

    typedef struct _WebKitWebBackForwardList WebKitWebBackForwardList;

## See Also

WebKitWebView, WebKitWebHistoryItem